Page MenuHomePhabricator

find: add find in single_events and show name in combobox
ClosedPublic

Authored by i.furs on Dec 7 2017, 8:22 AM.

Details

Summary

Single events was not shown in combobox. In this fix
add list of name to combobox and mechanism for find single event in single_events array
T6479

Diff Detail

Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5462
Build 5996: arc lint + arc unit
i.furs created this revision.Dec 7 2017, 8:22 AM
i.furs updated this revision to Diff 13388.Dec 7 2017, 9:02 AM
  • added higlight all for single events
i.furs updated this revision to Diff 13391.Dec 7 2017, 11:11 AM
  • update(changed || -> &&)
NikaWhite requested changes to this revision.Dec 8 2017, 5:39 AM
NikaWhite added inline comments.
src/lib/find.c
90–91

event_info_thread

150

Are you sure?

This revision now requires changes to proceed.Dec 8 2017, 5:39 AM
Deepwarrior requested changes to this revision.Dec 8 2017, 9:35 AM

selected event looks like rectangle with 1px width and not like single.

selected event looks like rectangle with 1px width and not like single.

This not task this fix
Please, look T6499

i.furs requested review of this revision.Dec 11 2017, 8:22 AM
NikaWhite requested changes to this revision.Dec 12 2017, 12:57 AM

All my previous remarks are ignored

This revision now requires changes to proceed.Dec 12 2017, 12:57 AM
i.furs updated this revision to Diff 13470.Dec 12 2017, 6:40 AM
  • fixed
  • rebase
Deepwarrior edited the summary of this revision. (Show Details)Dec 12 2017, 7:11 AM
NikaWhite requested changes to this revision.Dec 12 2017, 7:12 AM
NikaWhite added inline comments.
src/lib/find.c
169–195

It looks almost the same as from line 105 till 130.
Please avoid code duplication.

321–332

Code duplication: lines 281 till 293

This revision now requires changes to proceed.Dec 12 2017, 7:12 AM
i.furs updated this revision to Diff 13473.Dec 12 2017, 9:08 AM
  • delete duplicate
NikaWhite accepted this revision.Dec 12 2017, 11:37 PM
Deepwarrior accepted this revision.Dec 13 2017, 4:55 AM
This revision is now accepted and ready to land.Dec 13 2017, 4:55 AM
Deepwarrior resigned from this revision.Dec 13 2017, 4:57 AM
Deepwarrior accepted this revision.
NikaWhite closed this revision.Dec 13 2017, 11:21 PM